#include "stdafx.h"
#include "eqd.h"


void main()
{
  //Initialise MFC
  if (!AfxWinInit(GetModuleHandle(NULL), NULL, NULL, SW_SHOW))
    return;

	//initialise sockets
	if (!AfxSocketInit())
  {
    TRACE(_T("Failed to initialise the Winsock stack\n"));
    return;
  }

  //Test out the EQD class
  CArray<CQuakeData, CQuakeData&> data;
  CEQD eqd;
  if (eqd.GetQuakeData(data))
  {
    _tprintf(_T("Quake information was successfully obtained:\n"));
    _tprintf(_T("DATE\tTIME\tLAT\tLON\tDEP\tMAG\tQ\tCOMMENTS\n"));

    //Printf each line of data
    for (int i=0; i<data.GetSize(); i++)
    {
      CQuakeData& quake = data.ElementAt(i);
      _tprintf(_T("%d/%d/%d\t%d:%d:%d\t"), quake.m_Time.wYear, quake.m_Time.wMonth, quake.m_Time.wDay,
                                        quake.m_Time.wHour, quake.m_Time.wMinute, quake.m_Time.wSecond); 
      _tprintf(_T("%f\t%f\t%f\t%f"), quake.m_Latitude, quake.m_Longitude, quake.m_Depth, quake.m_Magnitude);
      if (quake.m_MagType == CQuakeData::Ml)
        _tprintf(_T("\tMl\t"));
      else if (quake.m_MagType == CQuakeData::Lg)
        _tprintf(_T("\tLg\t"));
      else if (quake.m_MagType == CQuakeData::Md)
        _tprintf(_T("\tMd\t"));
      else if (quake.m_MagType == CQuakeData::Mb)
        _tprintf(_T("\tMb\t"));
      else if (quake.m_MagType == CQuakeData::Ms)
        _tprintf(_T("\tMs\t"));
      else if (quake.m_MagType == CQuakeData::Mw)
        _tprintf(_T("\tMw\t"));
      else
        ASSERT(FALSE);
      if (quake.m_Quality == CQuakeData::A)
        _tprintf(_T("A\t"));
      else if (quake.m_Quality == CQuakeData::B)
        _tprintf(_T("B\t"));
      else if (quake.m_Quality == CQuakeData::C)
        _tprintf(_T("C\t"));
      else if (quake.m_Quality == CQuakeData::D)
        _tprintf(_T("D\t"));
      else if (quake.m_Quality == CQuakeData::U)
        _tprintf(_T("U\t"));
      else
        ASSERT(FALSE);
      _tprintf(_T("%s\n"), quake.m_sComments);
    }
  }
  else
    _tprintf(_T("Failed in call to obtain quake information, GetLastError:%d\n"), ::GetLastError());
}